Bug 1302679 (CVE-2016-2040)

Summary: CVE-2016-2040 phpMyAdmin: Multiple XSS vulnerabilities (PMASA-2016-3)
Product: [Other] Security Response Reporter: Robert Scheck <redhat-bugzilla>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: anemec, ccoleman, dmcphers, jialiu, joelsmith, jokerman, kseifried, lmeyer, mmccomas, redhat-bugzilla, tdawson
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: Unspecified   
OS: All   
Whiteboard:
Fixed In Version: phpMyAdmin 4.5.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-28 14:47:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1302790, 1302791, 1302792    
Bug Blocks:    

Description Robert Scheck 2016-01-28 11:35:50 UTC
Description:
 * With a crafted table name it is possible to trigger an XSS attack in
   the database search page.
 * With a crafted SET value or a crafted search query, it is possible to
   trigger an XSS attacks in the zoom search page.
 * With a crafted hostname header, it is possible to trigger an XSS attacks
   in the home page.

External References:
https://www.phpmyadmin.net/security/PMASA-2016-3/

Comment 2 Adam Mariš 2016-01-28 16:16:46 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1302790]
Affects: epel-all [bug 1302791]

Comment 3 Fedora Update System 2016-02-01 06:20:16 UTC
phpMyAdmin-4.5.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-02-03 20:50:18 UTC
phpMyAdmin-4.5.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-15 00:24:42 UTC
phpMyAdmin4-4.0.10.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-17 01:57:07 UTC
phpMyAdmin-4.4.15.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-02-17 02:27:30 UTC
phpMyAdmin-4.0.10.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.